Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009565 [DCSS] Bug Report minor always 2015-03-21 14:25 2015-09-14 23:58
Reporter Dharmy View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status closed   Product Branch 0.16 ancient branch
Summary 0009565: Felid + Tree form + death = skeletal weirdness
Description As a felid with extra lives left, being killed while in tree form leaves an animated tree corpse (tile missing). This corpse can then be animated into a mobile animated tree skeleton (humanoid skeleton tile).

A tree doesn't have bones, so maybe it should only be allowed to be made into a zombie?
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0028678)
neil (administrator)
2015-03-21 14:33

It should probably leave a felid corpse, just like polymorphed monsters now do.
(0028856)
PleasingFungus (administrator)
2015-04-14 07:51

Fixed in 5fb0b34 (per |amethyst's recommendation), thanks!

- Issue History
Date Modified Username Field Change
2015-03-21 14:25 Dharmy New Issue
2015-03-21 14:33 neil Note Added: 0028678
2015-04-14 07:51 PleasingFungus Note Added: 0028856
2015-04-14 07:51 PleasingFungus Status new => resolved
2015-04-14 07:51 PleasingFungus Fixed in Branch => 0.16 pre-release branch
2015-04-14 07:51 PleasingFungus Resolution open => done
2015-04-14 07:51 PleasingFungus Assigned To => PleasingFungus
2015-09-14 23:58 Dharmy Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker